Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.scribe.maintenance
Interface MaintainableScribe

All Superinterfaces:
  BaseScribe, Destructable

All Known Implementing Classes:
  ScribeImpl

    public interface MaintainableScribe

extends BaseScribe

This is an interface to scribe so that the MaintenacePolicy can have additional access to Scribe, that most users will not need.

Author:
  Jeff Hoye

Field Summary
`static int` | `MAINTENANCE_ID`

Method Summary
`Endpoint` | `getEndpoint()`
`java.util.List<Id>` | `getPathToRoot(Topic topic)`
`java.util.Collection<Topic>` | `getTopics()`
`java.util.Collection<Topic>` | `getTopicsByChild(NodeHandle child)` This returns the topics for which the parameter 'child' is a Scribe tree child of the local node
`java.util.Collection<Topic>` | `getTopicsByParent(NodeHandle parent)` This returns the topics for which the parameter 'parent' is a Scribe tree parent of the local node
`void` | `setParent(Topic topic, NodeHandle parent, java.util.List<Id> pathToRoot)`
`void` | `subscribe(java.util.Collection<Topic> nodeWasParent, ScribeMultiClient client, RawScribeContent content, NodeHandle hint)`

Methods inherited from interface rice.p2p.scribe.BaseScribe
`addChild, containsChild, containsTopic, getChildren, getChildrenOfTopic, getClients, getClientsByTopic, getEnvironment, getParent, getPolicy, getRoot, getTopics, getTopicsByClient, getTopicsByClient, isRoot, numChildren, removeChild, setPolicy, subscribe, unsubscribe, unsubscribe, unsubscribe`

Methods inherited from interface rice.Destructable
`destroy`

Field Detail

### MAINTENANCE_ID

    static final int MAINTENANCE_ID

See Also:
  Constant Field Values

Method Detail

### getTopics

    java.util.Collection<Topic> getTopics()

### getEndpoint

    Endpoint getEndpoint()

### getTopicsByParent

    java.util.Collection<Topic> getTopicsByParent(NodeHandle parent)

  This returns the topics for which the parameter 'parent' is a Scribe tree parent of the local node

  Parameters:
    `parent` - null/localHandle for topics rooted by us

### getTopicsByChild

    java.util.Collection<Topic> getTopicsByChild(NodeHandle child)

  This returns the topics for which the parameter 'child' is a Scribe tree child of the local node

### subscribe

    void subscribe(java.util.Collection<Topic> nodeWasParent,
                   ScribeMultiClient client,
                   RawScribeContent content,
                   NodeHandle hint)

### setParent

    void setParent(Topic topic,
                   NodeHandle parent,
                   java.util.List<Id> pathToRoot)

### getPathToRoot

    java.util.List<Id> getPathToRoot(Topic topic)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.